# Type alias AsObject

AsObject: {
emailAddress: string;
extraDataMap: [string, string][];
info: string;
languageCodesList: string[];
nodeAddress?: NodeAddress.AsObject;
pubKeyRing?: PubKeyRing.AsObject;
registrationDate: number;
registrationPubKey: Uint8Array | string;
registrationSignature: string;
}

#### Type declaration

- ##### emailAddress: string

- ##### extraDataMap: [string, string][]

- ##### info: string

- ##### languageCodesList: string[]

- ##### `Optional` nodeAddress?: NodeAddress.AsObject

- ##### `Optional` pubKeyRing?: PubKeyRing.AsObject

- ##### registrationDate: number

- ##### registrationPubKey: Uint8Array | string

- ##### registrationSignature: string

- Defined in src/protobuf/pb_pb.d.ts:2500

Generated using TypeDoc